com::lomiri::location::SpaceVehicle::Key Struct Reference

Uniquely identifies a space vehicle, given its type and its id. More...

`#include <space_vehicle.h>`

Collaboration diagram for com::lomiri::location::SpaceVehicle::Key:

## Public Member Functions

bool | operator== (const SpaceVehicle::Key &rhs) const
bool | operator< (const SpaceVehicle::Key &rhs) const

## Public Attributes

Type | type = Type::unknown
| The positioning system this vehicle belongs to.
Id | id = 0
| Unique id of the space vehicle.

## Detailed Description

Uniquely identifies a space vehicle, given its type and its id.

Definition at line 52 of file space_vehicle.h.

## Member Function Documentation

## operator<()

bool com::lomiri::location::SpaceVehicle::Key::operator< | ( | const SpaceVehicle::Key & | rhs | ) | const

inline

Definition at line 62 of file space_vehicle.h.

References id, and type.

## operator==()

bool com::lomiri::location::SpaceVehicle::Key::operator== | ( | const SpaceVehicle::Key & | rhs | ) | const

inline

Definition at line 57 of file space_vehicle.h.

References id, and type.

## Member Data Documentation

## id

Id com::lomiri::location::SpaceVehicle::Key::id = 0

Unique id of the space vehicle.

Definition at line 55 of file space_vehicle.h.

Referenced by core::dbus::Codec< com::lomiri::location::SpaceVehicle::Key >::decode_argument(), core::dbus::Codec< com::lomiri::location::SpaceVehicle::Key >::encode_argument(), operator<(), com::lomiri::location::operator<<(), and operator==().

## type

Type com::lomiri::location::SpaceVehicle::Key::type = Type::unknown

The positioning system this vehicle belongs to.

Definition at line 54 of file space_vehicle.h.

Referenced by core::dbus::Codec< com::lomiri::location::SpaceVehicle::Key >::decode_argument(), core::dbus::Codec< com::lomiri::location::SpaceVehicle::Key >::encode_argument(), operator<(), com::lomiri::location::operator<<(), and operator==().

The documentation for this struct was generated from the following file:

- space_vehicle.h